Subject: Re: [PATCH 0/4] rcutorture: Several fixes to run selftest scripts on PPC

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 19 May 2016 07:14:01 -0700

On Wed, May 18, 2016 at 09:25:17PM -0700, Josh Triplett wrote:
> On Thu, May 19, 2016 at 11:42:20AM +0800, Boqun Feng wrote:
> > I spend some time to make tools/testing/selftest/rcutorture run on PPC,
> > here are some documention and fixes made while I was trying.
> > 
> > The scripts are able to run and get results on PPC, however please
> > note there are some stalls even build errors that could be found
> > by the tests currently.
> > 
> > As I'm certainly not an expert of qemu or bash programming, there
> > may be something I am missing in those patches. So tests and comments
> > are welcome ;-)
> > 
> > Regards,
> > Boqun
> > 
> > Boqun Feng (4):
> >   rcutorture/doc: Add a new way to create initrd using dracut
> >   rcutorture: Use vmlinux as the fallback kernel image
> >   rcutorture: Make -soundhw a x86 specific option
> >   rcutorture: Don't specify the cpu type of QEMU on PPC
> 
> All four of these seem reasonable to me:
> Reviewed-by: Josh Triplett <[email-masked]>

Thank you both!  I have queued all four for further review and for
testing.

> I responded to the -soundhw patch, trying to track down why that option
> was needed in the first place, and seeking a solution that doesn't
> require adding to the set of target-specific options.  But I don't think
> that investigation should block your fix.

Agreed, it should work better now than it did before!

							Thanx, Paul